### Method

# Pango FontDescription set_variations

since: 1.42

#### Declaration [src]

    void
    pango_font_description_set_variations (
      PangoFontDescription* desc,
      const char* variations
    )

#### Description [src]

Sets the variations field of a font description.

OpenType font variations allow to select a font instance by specifying values for a number of axes, such as width or weight.

The format of the variations string is

    AXIS1=VALUE,AXIS2=VALUE...

with each AXIS a 4 character tag that identifies a font axis, and each VALUE a floating point number. Unknown axes are ignored, and values are clamped to their allowed range.

Pango does not currently have a way to find supported axes of a font. Both harfbuzz and freetype have API for this. See for example hb_ot_var_get_axis_infos.

Available since: 1.42

#### Parameters

`variations`

  Type: `const char*`

  A string representing the variations.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.